#!/usr/local/bin/perl -w

use Font::Metrics::Helvetica;

# hacked from version in Font::AFM.pm
sub stringwidth
{
    my($font, $string, $pointsize) = @_;
    return 0.0 unless defined $string;
    return 0.0 unless length $string;
    my @wx = @{"Font::Metrics::${font}::wx"};
    my $width = 0.0;
    for (unpack("C*", $string)) {
	$width += $wx[$_];
    }
    if ($pointsize) {
	$width *= $pointsize;
    }
    $width;
}

print "width of 'lojban' in 12-point Helvtica is ";
print stringwidth("Helvetica", "lojban", 12),"\n";
